package com.example.hiyou;

import android.app.TabActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.TabHost;
import android.widget.TabHost.TabSpec;
import android.widget.TextView;

import com.example.hiyou.Constant.ConValue;
/**
 *	һʵַ,ԶTabHost
 */
public class TabActivity1 extends TabActivity {
	//TabHost
	private TabHost	tabHost;	
	//һ
	private LayoutInflater layoutInflater;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		   setContentView(R.layout.main_tab_layout1);	        
	        initView();
	}

	/**
	 * ʼ
	 */
	private void initView(){
		//ʵTabHost󣬵õTabHost
		tabHost = getTabHost();
		
		//ʵֶ
		layoutInflater = LayoutInflater.from(this);
		
		//õActivityĸ
		int count = ConValue.mTabClassArray.length;	
				
		for(int i = 0; i < count; i++){	
			//ΪÿһTabťͼꡢֺ
			TabSpec tabSpec = tabHost.newTabSpec(ConValue.mTextviewArray[i]).setIndicator(getTabItemView(i)).setContent(getTabItemIntent(i));
			//TabťӽTabѡ
			tabHost.addTab(tabSpec);
			//Tabťı
			tabHost.getTabWidget().getChildAt(i).setBackgroundResource(R.drawable.selector_tab_background);
		}
	}
			
	/**
	 * Tabťͼ
	 */
	private View getTabItemView(int index){
		View view = layoutInflater.inflate(R.layout.tab_item_view, null);
	
		ImageView imageView = (ImageView) view.findViewById(R.id.imageview);

		if (imageView != null){
			imageView.setImageResource(ConValue.mImageViewArray[index]);
		}		
		TextView textView = (TextView) view.findViewById(R.id.textview);
		
		textView.setText(ConValue.mTextviewArray[index]);
	
		return view;
	}
	
	/**
	 * TabѡݣÿݶһActivity
	 */
	private Intent getTabItemIntent(int index){
		Intent intent = new Intent(this, ConValue.mTabClassArray[index]);
		
		return intent;
	}
}
